Subject: [Anima] Quick clarification re GRASP tests

From: Brian E Carpenter <[email-masked]>
Date: Fri, 18 Nov 2016 11:54:40 +1300

Just to clarify a comment Bing made about the tests with my Python prototype:

- I have tested it in a single host by running multiple GRASP instances. These
tests require the host to listen to its own multicasts. Done on both Windows 7
and Linux.

- I have tested it between Windows and Linux on a single LAN, both in the lab
at the University of Auckland and in my home office. That included a test with
the machines connected via two LANs (Ethernet and WiFi) in a physical loop,
to verify that loop suppression works.

- I have tested with GUA, ULA and link-local-only addressing.

- As Bing mentioned, I also did some tests between Windows at home, and Linux
at the UNI, over Internet IPv6 service. That worked, but was a bit bogus
as I had to fake the discovery mechanism.

Anyway, I've tested about everything I can until another implementation of
the current spec comes along, for interop tests, as Sheng suggested.

Regards
   Brian